processCreditCard ()

This function processes or verifies a credit card without generating a receipt or an invoice.

You can test the response of this function by passing the SimulatorCode element with the desired status response listed below.

HTTP Request Method = POST.

https://sandbox.minihotel.cloud/agents/ws/sci/sciMain.asmx/processCreditCard
https://api2.minihotel.cloud/agents/ws/sci/sciMain.asmx/processCreditCard

Request

ElementDescriptionType
CreditCardCredit Card serial (Data from Card swipe) or Credit Card NumberString
ExpirationDateCredit Card Expiration Date (Optional)String Format MMyyyy
CVVCredit Card CVV or CVC (Optional)Integer
CardTypeCard Transaction type:
C - Credit
D - Debit
String
TotalTotal amount (decimal positive value)Double
CurrencyCurrency CodeString
ResNumberMini Hotel Reservation No. (9 characters length)String
HotelNumberHotel NumberString
NumberOfPaymentsNumber of paymentsInteger
OperationTypeType of operation:
1 - Charge card
2 - Check card
3 - Refund
Integer
ShopNumberPhysical terminal / POS / Pin Pad / EMV machine numberInteger
SimulatorCodeUse this tag for testing, when you wish to avoid actually charging a card. In case you don’t put this tag, then a card charge may be attempted.
Desired response codes (For testing):
0 (OK), Z01 to Z09, Z30 to Z34, Z99 (See more info below)
String

Request Example

Using Operation Type Number 1 - Charge Card

<CreditCard language="ENG">
	<Hotel id="sandbox" />
	<Authentication username="Test" password="3657488" />
	<CreditCard>37551111***4444"=201220117117116612200</CreditCard>
	<CardType>C</CardType>
	<Total>2.53</Total>
	<Currency>567567567</Currency>
	<ResNumber>907999090</ResNumber>
	<HotelNumber>9</HotelNumber>
	<NumberOfPayments>12</NumberOfPayments>
	<OperationType>1</OperationType>
  <ShopNumber>1</ShopNumber>
  <SimulatorCode>0</SimulatorCode>
</CreditCard>

Response

ParameterDescriptionType
ProcessCardStatusProcess card main elementXElement
#attr StatusCodeResult codeString
#attr DescriptionResult descriptionString

Response Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>2235 ms</ResponseTime>
        <DateTime>7/20/2018 2:54:46 PM</DateTime>
    </ServerInfo>
    <ProcessCardStatus StatusCode="0" Description="OK" />
</Response>

Authentication Example

Using Operation Type Number 2 - Authorization/Check

<CreditCard language="ENG">
	<Hotel id="sandbox" />
	<Authentication username="Test" password="3657488" />
	<CreditCard>5326101311111111</CreditCard>
	<ExpirationDate>122118</ExpirationDate>
	<CardType>C</CardType>
	<Total>10</Total>
	<Currency>ILS</Currency>
	<ResNumber>907999090</ResNumber>
	<HotelNumber>9</HotelNumber>
	<NumberOfPayments>1</NumberOfPayments>
	<OperationType>2</OperationType>
  <ShopNumber>1</ShopNumber>
</CreditCard>

Response Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>470518 ms</ResponseTime>
        <DateTime>10/19/2018 1:54:04 PM</DateTime>
    </ServerInfo>
    <ProcessCardStatus xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" StatusCode="0" Description="OK" />
</Response>

Error Codes

Z01: Invalid Credit/Debit Card serial
Z02: Invalid Card Type
Z03: Invalid Operation Type
Z04: Invalid Reservation Number
Z05: Empty or Invalid Total
Z06: Negative Total
Z07: No Hotel Number
Z08: No Currency
Z09: Invalid Number of Payments Format
Z30: Invalid Agent Credentials
Z31: Invalid Hotel Code
Z32: You do not have permission to work with selected hotel
Z33: Your IP Address is not allowed
Z34: Invalid XML Request
Z36: Invalid Expiration Date
Z37: Credit Card has expired
Z99: Simulator: Invalid status code
003: Call the credit card company
004: Refusal
006: Call the credit card company
009: No connection with credit card company
033: Wrong card number
036: Credit Card Expired
039: Wrong card number
061: The card does not exists or duplicate number
155: Sum of transaction too small for credit type
160: Maximal amount is zero